spool secuencias.log

DROP SEQUENCE SEC_TIPO_MOV;

CREATE SEQUENCE SEC_TIPO_MOV
START WITH 1  INCREMENT BY 1
NOCACHE;
/
DROP SEQUENCE SEC_TIPO_DISP;

CREATE SEQUENCE SEC_TIPO_DISP
START WITH 1  INCREMENT BY 1
NOCACHE;
/
DROP SEQUENCE SEC_PROVEEDORES;

CREATE SEQUENCE SEC_PROVEEDORES
START WITH 1  INCREMENT BY 1
MAXVALUE 9999
NOCACHE;
/
DROP SEQUENCE SEC_PROVEEDORES_AUX;

CREATE SEQUENCE SEC_PROVEEDORES_AUX
START WITH 1  INCREMENT BY 1
MAXVALUE 9999
NOCACHE;
/
DROP SEQUENCE SEC_SEDES;

CREATE SEQUENCE SEC_SEDES
START WITH 1  INCREMENT BY 1
MAXVALUE 99
NOCACHE;
/
DROP SEQUENCE SEC_DEPARTAMENTOS;

CREATE SEQUENCE SEC_DEPARTAMENTOS
START WITH 1 INCREMENT BY 1
MAXVALUE 99
NOCACHE;
/
DROP SEQUENCE SEC_USUARIOS;

CREATE SEQUENCE SEC_USUARIOS
START WITH 1 INCREMENT BY 1
MAXVALUE 9999
NOCACHE;
/
DROP SEQUENCE SEC_DISPOSITIVOS;
CREATE SEQUENCE SEC_DISPOSITIVOS
START WITH 1  INCREMENT BY 1
MAXVALUE 9999
NOCACHE;
/
DROP SEQUENCE SEC_PEDIDOS;

CREATE SEQUENCE SEC_PEDIDOS
START WITH 1  INCREMENT BY 1
MAXVALUE 99999
NOCACHE;
/
DROP SEQUENCE SEC_PRESUPUESTOS;

CREATE SEQUENCE SEC_PRESUPUESTOS
START WITH 1  INCREMENT BY 1
MAXVALUE 9999
NOCACHE;
/
DROP SEQUENCE SEC_RECEPCIONES;

CREATE SEQUENCE SEC_RECEPCIONES
START WITH 1  INCREMENT BY 1
MAXVALUE 99999
NOCACHE;
/
DROP SEQUENCE SEC_MOVIMIENTOS;

CREATE SEQUENCE SEC_MOVIMIENTOS
START WITH 1  INCREMENT BY 1
MAXVALUE 99999
NOCACHE;
/
DROP SEQUENCE SEC_MOVIMIENTOS_AUX;

CREATE SEQUENCE SEC_MOVIMIENTOS_AUX
START WITH 1  INCREMENT BY 1
MAXVALUE 99999
NOCACHE;
/
DROP SEQUENCE SEC_INVENTARIOS;

CREATE SEQUENCE SEC_INVENTARIOS
START WITH 1  INCREMENT BY 1
MAXVALUE 999
NOCACHE;
/
DROP SEQUENCE SEC_LOGS;

CREATE SEQUENCE SEC_LOGS
START WITH 1  INCREMENT BY 1
NOCACHE;

-- Disparadores para las secuencias


CREATE OR REPLACE
TRIGGER INSERT_ID_TIPO_MOV BEFORE INSERT ON TIPO_MOVIMIENTO
FOR EACH ROW
BEGIN
SELECT SEC_TIPO_MOV.NEXTVAL INTO :NEW.ID_TIPO_MOVIMIENTO FROM DUAL;
END INSERT_ID_TIPO_MOV;
/
CREATE OR REPLACE
TRIGGER INSERT_ID_TIPO_DISP BEFORE INSERT ON TIPO_DISPOSITIVO
FOR EACH ROW
BEGIN
SELECT SEC_TIPO_DISP.NEXTVAL INTO :NEW.ID_TIPO_DISPOSITIVO FROM DUAL;
END INSERT_ID_TIPO_DISP;
/
CREATE OR REPLACE
TRIGGER INSERT_ID_PROVEEDORES BEFORE INSERT ON PROVEEDORES
FOR EACH ROW
BEGIN
SELECT 'PR'||LPAD (SEC_PROVEEDORES.NEXTVAL,4,0) INTO :NEW.ID_PROVEEDOR FROM DUAL;
END INSERT_ID_PROVEEDORES;
/
CREATE OR REPLACE
TRIGGER INSERT_ID_PROVEEDORES_A BEFORE INSERT ON PROVEEDORES_AUX
FOR EACH ROW
BEGIN
SELECT 'PR'||LPAD (SEC_PROVEEDORES_AUX.NEXTVAL,4,0) INTO :NEW.ID_PROVEEDOR FROM DUAL;
END INSERT_ID_PROVEEDORES_A;
/

CREATE OR REPLACE
TRIGGER INSERT_ID_SEDE BEFORE INSERT ON SEDES 
FOR EACH ROW 
BEGIN
SELECT 'S'||LPAD (SEC_SEDES.NEXTVAL,2,'0') INTO :NEW.ID_SEDE FROM DUAL;
END INSERT_ID_SEDE;
/
CREATE OR REPLACE
TRIGGER INSERT_ID_DEPARTAMENTO BEFORE INSERT ON DEPARTAMENTOS
FOR EACH ROW 
BEGIN
SELECT 'D'||LPAD (SEC_DEPARTAMENTOS.NEXTVAL,2,'0') INTO :NEW.ID_DEPARTAMENTO FROM DUAL;
END INSERT_ID_DEPARTAMENTO;
/
CREATE OR REPLACE
TRIGGER INSERT_ID_USUARIO BEFORE INSERT ON USUARIOS 
FOR EACH ROW 
BEGIN
SELECT 'US'||LPAD(SEC_USUARIOS.NEXTVAL,4,'0') INTO :NEW.ID_USUARIO FROM DUAL;
END INSERT_ID_USUARIO;
/
CREATE OR REPLACE
TRIGGER INSERT_ID_DISPOSITIVO BEFORE INSERT ON DISPOSITIVOS
FOR EACH ROW 
BEGIN
SELECT 'PT'||LPAD (SEC_DISPOSITIVOS.NEXTVAL,4,'0') INTO :NEW.ID_DISPOSITIVO FROM DUAL;
END INSERT_ID_DISPOSITIVO;
/
CREATE OR REPLACE
TRIGGER INSERT_ID_PEDIDO BEFORE INSERT ON PEDIDOS 
FOR EACH ROW 
BEGIN
SELECT 'C'||LPAD (SEC_PEDIDOS.NEXTVAL,5,'0') INTO :NEW.ID_PEDIDO FROM DUAL;
END INSERT_ID_PEDIDO;
/
CREATE OR REPLACE
TRIGGER INSERT_ID_PRESUPUESTO BEFORE INSERT ON PRESUPUESTOS
FOR EACH ROW 
BEGIN
SELECT 'PP'||LPAD (SEC_PRESUPUESTOS.NEXTVAL,4,'0') INTO :NEW.ID_PRESUPUESTO FROM DUAL;
END INSERT_ID_PRESUPUESTO;
/
CREATE OR REPLACE
TRIGGER INSERT_ID_RECEPCION BEFORE INSERT ON RECEPCIONES
FOR EACH ROW 
BEGIN
SELECT 'R'||LPAD (SEC_RECEPCIONES.NEXTVAL,5,'0') INTO :NEW.ID_RECEPCION FROM DUAL;
END INSERT_ID_RECEPCION;
/
CREATE OR REPLACE
TRIGGER INSERT_ID_MOVIMIENTO BEFORE INSERT ON MOVIMIENTOS 
FOR EACH ROW 
BEGIN
SELECT 'M'||LPAD (SEC_MOVIMIENTOS.NEXTVAL,5,'0') INTO :NEW.ID_MOVIMIENTO FROM DUAL;
END INSERT_ID_MOVIMIENTO;
/
CREATE OR REPLACE
TRIGGER INSERT_ID_MOVIMIENTO_A BEFORE INSERT ON MOVIMIENTOS_AUX 
FOR EACH ROW 
BEGIN
SELECT 'M'||LPAD (SEC_MOVIMIENTOS_AUX.NEXTVAL,5,'0') INTO :NEW.ID_MOVIMIENTO FROM DUAL;
END INSERT_ID_MOVIMIENTO_A;
/

CREATE OR REPLACE
TRIGGER INSERT_ID_INVENTARIO BEFORE INSERT ON INVENTARIOS
FOR EACH ROW 
BEGIN
SELECT 'IN'||LPAD (SEC_INVENTARIOS.NEXTVAL,3,'0') INTO :NEW.ID_INVENTARIO FROM DUAL;
END INSERT_ID_INVENTARIO;
/
CREATE OR REPLACE
TRIGGER INSERT_ID_LOG BEFORE INSERT ON LOGS
FOR EACH ROW
BEGIN
SELECT SEC_LOGS.NEXTVAL INTO :NEW.ID_LOG FROM DUAL;
END INSERT_ID_LOG;
/

spool off;